Page MenuHomePhabricator

Convert ContentTranslation to use extension registration
Closed, ResolvedPublic1 Story Points

Description

The ContentTranslation extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:31 PM
santhosh claimed this task.Jan 30 2015, 1:31 AM
santhosh triaged this task as Normal priority.
santhosh updated the task description. (Show Details)
santhosh set Security to None.
gerritbot added a subscriber: gerritbot.

Change 187714 had a related patch set uploaded (by Santhosh):
WIP: Use extension registration

https://gerrit.wikimedia.org/r/187714

Patch-For-Review

Arrbee raised the priority of this task from Normal to High.Feb 2 2015, 8:10 AM
Arrbee moved this task from Needs Triage to Long term on the ContentTranslation board.
Arrbee lowered the priority of this task from High to Normal.Feb 2 2015, 9:28 AM
Arrbee added a subscriber: Arrbee.
Arrbee reassigned this task from santhosh to Amire80.Feb 4 2015, 2:59 PM
Arrbee added a project: LE-Sprint-82.
Arrbee added a subscriber: santhosh.
santhosh raised the priority of this task from Normal to High.Feb 5 2015, 7:17 AM
santhosh moved this task from Backlog to In Review on the LE-Sprint-82 board.

Change 187714 merged by Jsahleen:
Use extension registration

https://gerrit.wikimedia.org/r/187714

Change 187714 merged by Jsahleen:
Use extension registration
https://gerrit.wikimedia.org/r/187714

Patch didn't actually add an extension.json...

Change 188970 had a related patch set uploaded (by Santhosh):
Add extension.json

https://gerrit.wikimedia.org/r/188970

Patch-For-Review

santhosh claimed this task.Feb 6 2015, 4:44 AM
santhosh added a subscriber: Amire80.

Given Joel's comment in https://gerrit.wikimedia.org/r/188970 , should this be in the Blocked column?

Arrbee moved this task from In Review to Blocked on the LE-Sprint-82 board.Feb 18 2015, 7:11 AM

Change 188970 merged by Jsahleen:
Add extension.json

https://gerrit.wikimedia.org/r/188970

Legoktm closed this task as Resolved.Feb 20 2015, 9:14 PM

Awesome! https://tools.wmflabs.org/extreg-wos/ is now green :)

Arrbee moved this task from Blocked to Done on the LE-Sprint-82 board.Feb 23 2015, 3:03 PM
Arrbee edited a custom field.Feb 24 2015, 2:21 PM